Subject: Bug#3306: dpkg --build inflexible about output location

From: Michael Alan Dorman <[email-masked]>
Date: Sun, 16 Jun 1996 14:09:12 -0400

package: dpkg
version: 1.2.6elf

I decided to play with the debian.rules file for one of my packages,
and one of the things I thought to do was actually create the .deb
file in its "final resting place", instead of creating then moving it.

$ pwd
/home/mdorman/prog
$ dpkg --build glimpse/tmp
dpkg-deb: building package `glimpse' in `glimpse/tmp.deb'.
$ ls tmp.deb
ls: tmp.deb: No such file or directory
$ ls glimpse/tmp.deb
glimpse/tmp.deb

Lo and behold, dpkg --build _won't let you do that_.  Nor, as far as I
can tell from the available documentation, does it give you a way to
override this behavior.

This is disorientingly un-Un*x like, and I don't see any compelling
advantage (or, in fact, any advantage at all) to this behavior.  I
think it should _at least_ create the .deb file in the current
directory, and it would be nice if it would let you specify an
arbitrary output file name.

Looking into it further, maybe the _real_ answer is to not use dpkg
--build at all, and instead use dpkg-deb --build, which does seem to
allow you to do all the things I just complained about.  If that is in
fact the answer, I suggest we document it as such.

While I'm at it, I'll also say that I don't see why dpkg --build
and/or dpkg-deb --build doesn't just name the file correctly in the
first place---it certainly has the information available.

Mike.
--
"Don't let me make you unhappy by failing to be contrary enough...."